/*

  Flame Sensor Module (Analog)

  Parts required:
  - Arduino Board
  - Flame Sensor Module
  - LED (Any Color)
  - 220 Ohm Resistor

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jun 2019
  Version : v1.0

  ***** REMEMBER TO RUN CABRATION PROGRAM TO READ VALUE FOR THIS PROGRAM *****

*/

// Initialize all variables
int ledPin = 8;
int analogReadPin = A0;
int analogReadValue;
int checkState=0;

// Here you have to change flameCalibrationValue to the 
// number your have read in the Flame Calibration Program 
// Best if the number is between 900 - 950

int flameCalibrationValue = 900; 

void setup() {
  pinMode(ledPin,OUTPUT);                         // Set ledPin as OUTPUT
  pinMode(analogReadPin,INPUT);                   // Set analogReadPin as INPUT
}

void loop() {

  analogReadValue = analogRead(analogReadPin);    // Read value of analogReadPin and store in analogReadValue

  if (analogReadValue <= flameCalibrationValue){  // If analogReadValue <= flameCalibrationValue
    digitalWrite(ledPin,HIGH);                    // Turn ON LED
  }
  else{
    digitalWrite(ledPin,LOW);                     // Turn OFF LED
  }
  
}
